pydo.genai.delete_model_evaluation_run()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.genai.delete_model_evaluation_run(
eval_run_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
)Description
To delete a model evaluation run, send a DELETE request to /v2/gen-ai/model_evaluation_runs/{eval_run_uuid}. The run must be in a terminal status (successful, partially_successful, failed, or cancelled). For runs still in progress, either wait for the run to finish or cancel it, then retry the delete once the run reaches a terminal status.
Parameters
eval_run_uuidstring requiredUUID of the model evaluation run to delete. The run must be in a terminal
status (successful,partially_successful,failed, orcancelled).
For runs still in progress, either wait for the run to finish or cancel
it, then retry the delete.
Response Example
More Information
See /v2/gen-ai/model_evaluation_runs/{eval_run_uuid} in the API reference for additional detail on responses, headers, parameters, and more.